Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 08 Apr 2021 05:21:16 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns It so sad that I still have not gotten my return money. Its been awhile now. The package is still in SAUDI POST. They did not want to deliver! They want me to pick it up there in their other office. I had pay for the ground shipping but my parcel was not shipped. I've been sending emails to you but no active response receive except for the apology email. I know its not your fault but I just want my money back. Thank you!!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2313238